Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.c14n
Class XMLC14NWithComments

`java.lang.Object
oracle.security.xmlsec.c14n.Canonicalizer
oracle.security.xmlsec.c14n.XMLC14N
oracle.security.xmlsec.c14n.XMLC14NWithComments`

public class XMLC14NWithComments
extends XMLC14N

Implementation of Canonical XML version 1.0 (XML-C14N) with comments processing.

Field Summary

Fields inherited from class oracle.security.xmlsec.c14n.Canonicalizer
`c14nMethod`

Constructor Summary
`XMLC14NWithComments()` Creates a new `XMLC14NWithComments` instance.
`XMLC14NWithComments(XSAlgorithmIdentifier c14nMethod)` Creates a new `XMLC14NWithComments` instance.

Methods inherited from class oracle.security.xmlsec.c14n.XMLC14N
`canonicalize, canonicalize, canonicalize, canonicalize, canonicalize, canonicalize`

Methods inherited from class oracle.security.xmlsec.c14n.Canonicalizer
`getC14NMethod, getInstance, getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLC14NWithComments

    public XMLC14NWithComments()

  Creates a new `XMLC14NWithComments` instance.

### XMLC14NWithComments

    public XMLC14NWithComments(XSAlgorithmIdentifier c14nMethod)

  Creates a new `XMLC14NWithComments` instance.
Parameters:
  `c14nMethod` - A `XSAlgorithmIdentifier` representing a CanonicalizationMethod.
Throws:
  `java.lang.IllegalArgumentException` - If the `XSAlgorithmIdentifier` is not a valid CanonicalizationMethod.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.